@@ -, +, @@ 

--- a/Source/JavaScriptCore/offlineasm/arm.rb	
+++ a/Source/JavaScriptCore/offlineasm/arm.rb	
@@ -504,6 +504,8 @@ class Instruction
         when "mvlbl"
                 $asm.puts "movw #{operands[1].armOperand}, \#:lower16:#{operands[0].value}"
                 $asm.puts "movt #{operands[1].armOperand}, \#:upper16:#{operands[0].value}"
+        when "ldrlbl"
+            $asm.puts "ldr #{operands[0].armOperand}, =#{operands[1].value}"
         when "nop"
             $asm.puts "nop"
         when "bieq", "bpeq", "bbeq"
--- a/Source/JavaScriptCore/offlineasm/instructions.rb	
+++ a/Source/JavaScriptCore/offlineasm/instructions.rb	
@@ -261,7 +261,8 @@ X86_INSTRUCTIONS =
 ARM_INSTRUCTIONS =
     [
      "clrbp",
-     "mvlbl"
+     "mvlbl",
+     "ldrlbl"
     ]
 
 ARM64_INSTRUCTIONS =
--
